CRMchat APIBeta
Telegram APIMessages

messages.translateText

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.translateText

Translate a given text. Styled text entities will only be preserved for Telegram Premium users.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Translate a given text. Styled text entities will only be preserved for Telegram Premium users.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.translateText" \  -H "Content-Type: application/json" \  -d '{    "params": {      "toLang": "string"    }  }'
{  "result": {    "_": "messages.translateResult",    "result": [      {        "_": "textWithEntities",        "text": "string",        "entities": [          {            "_": "messageEntityUnknown",            "offset": 0,            "length": 0          }        ]      }    ]  }}